let config = ./dhall/package.dhall

in    { amqp = config.AMQP::{
        , vhost = "reddit"
        , username = env:AMQP_USER as Text ? "reddit_pub"
        , password = config.Password.Type.Password (env:AMQP_PASS as Text ? "tester")
        , host = env:AMQP_HOST as Text ? "127.0.0.1"
        -- , host = "10.233.5.2"
        }
      , fetchers =
        [ config.Fetcher::{ subreddit = "haskell" }
        , config.Fetcher::{ subreddit = "scala" }
        , config.Fetcher::{ subreddit = "all" }
        , config.Fetcher::{ subreddit = "pics", entries = 150 }
        ]
      , sqlite = "reddit.sqlite"
      }
    : config.Type
