{ mkDerivation, aeson, amqp, base, bytestring, containers, dhall
, hedgehog, hspec, hspec-hedgehog, lens, lens-aeson, lib, mtl
, pipes, sqlite-simple, text, wreq
}:
mkDerivation {
  pname = "reddit-pub";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    aeson amqp base bytestring containers dhall lens lens-aeson mtl
    pipes sqlite-simple text wreq
  ];
  executableHaskellDepends = [ base ];
  testHaskellDepends = [
    base bytestring containers hedgehog hspec hspec-hedgehog mtl
  ];
  license = "unknown";
  hydraPlatforms = lib.platforms.none;
}
